namespace AlienAttack.MonoGame.Things.Weapons;

public interface IWeapon
{
    int FireThreshold { get; }
    void UpdateFireThreshold();
    bool TryFire(Sprite owner, SpriteUpdateContext context);
}